cancel
Showing results for 
Search instead for 
Did you mean: 

Cannot update my site

Cannot update my site

Hi all,

I am in desperate need of help.

I currently have version 2.0.2 and I want to update my site to the latest version.

I have applied the MDVA-532 patch. However it keeps failing on 

Check Component Dependency

We found conflicting component dependencies.

I have green checks on all the other components. Is there anyway to check why the component dependency is failing.

1 REPLY

Re: Cannot update my site

@kierank

 

Not sure if this post is still relevant but you can update Magento easily by updating the version in Magento composer.json file. 

 

Change 

  "require": {
        "magento/product-community-edition": "2.0.2"
}

To

 

  "require": {
        "magento/product-community-edition": "2.1.5"
}

then in your CLI run: 

 

composer update
php bin/magento setup:upgrade
php bin/magento setup:di:compile
php bin/magento setup:static-content:deploy

 

P.S: Magento CE 2.1.5 is the latest stable version released by Magento on Feb 21, 17. 

 

Magento Certified Solution Specialist | Lead Magento developer
If this response was helpful to you, consider giving kudos to this post